AlmaLinux 9 : java-1.8.0-openjdk (ALSA-2022:5709)

high Nessus Plugin ID 167698

Synopsis

The remote AlmaLinux host is missing one or more security updates.

Description

The remote AlmaLinux 9 host has packages installed that are affected by multiple vulnerabilities as referenced in the ALSA-2022:5709 advisory.

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Update the affected packages.

See Also

https://errata.almalinux.org/9/ALSA-2022-5709.html

Plugin Details

Severity: High

ID: 167698

File Name: alma_linux_ALSA-2022-5709.nasl

Version: 1.4

Type: local

Published: 11/16/2022

Updated: 11/24/2022

Supported Sensors: Nessus

Risk Information

VPR

Risk Factor: Medium

Score: 4.4

CVSS v2

Risk Factor: High

Base Score: 7.8

Temporal Score: 6.1

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:C/A:N

CVSS Score Source: CVE-2022-34169

CVSS v3

Risk Factor: High

Base Score: 7.5

Temporal Score: 6.7

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N

Temporal Vector: CVSS:3.0/E:P/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:alma:linux:java-1.8.0-openjdk, p-cpe:/a:alma:linux:java-1.8.0-openjdk-demo, p-cpe:/a:alma:linux:java-1.8.0-openjdk-demo-fastdebug, p-cpe:/a:alma:linux:java-1.8.0-openjdk-demo-slowdebug, p-cpe:/a:alma:linux:java-1.8.0-openjdk-devel, p-cpe:/a:alma:linux:java-1.8.0-openjdk-devel-fastdebug, p-cpe:/a:alma:linux:java-1.8.0-openjdk-devel-slowdebug, p-cpe:/a:alma:linux:java-1.8.0-openjdk-fastdebug, p-cpe:/a:alma:linux:java-1.8.0-openjdk-headless, p-cpe:/a:alma:linux:java-1.8.0-openjdk-headless-fastdebug, p-cpe:/a:alma:linux:java-1.8.0-openjdk-headless-slowdebug, p-cpe:/a:alma:linux:java-1.8.0-openjdk-javadoc, p-cpe:/a:alma:linux:java-1.8.0-openjdk-javadoc-zip, p-cpe:/a:alma:linux:java-1.8.0-openjdk-slowdebug, p-cpe:/a:alma:linux:java-1.8.0-openjdk-src, p-cpe:/a:alma:linux:java-1.8.0-openjdk-src-fastdebug, p-cpe:/a:alma:linux:java-1.8.0-openjdk-src-slowdebug, cpe:/o:alma:linux:9, cpe:/o:alma:linux:9::appstream, cpe:/o:alma:linux:9::crb

Required KB Items: Host/local_checks_enabled, Host/AlmaLinux/release, Host/AlmaLinux/rpm-list, Host/cpu

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 7/25/2022

Vulnerability Publication Date: 7/25/2022

Reference Information

CVE: CVE-2022-21540, CVE-2022-21541, CVE-2022-34169

CWE: 192, 284, 402